Get Quality Rating

Use this API to retrieve the quality rating and messaging tier information for your WhatsApp Business API (WABA) application. This endpoint provides insights into your phone number's quality status, current messaging limits, and any recent tier changes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Note:

You can use this API to check the Quality Rating, and Messaging Limits of your App. For an App, API requests are limited to once every 24 hours. To know more about Messaging Limits, click here. To learn about how you can determine the Quality Rating of your WABA i.e. Green, Yellow and Red, click here.

Parameters

ParametersValueDescription
Authorization{{PARTNER_APP_TOKEN}}Access Token for the application
appId{{APP_ID}}Unique Identifier for Gupshup App

Sample Request

curl --location --request GET 'https://partner.gupshup.io/partner/app/{{APP_ID}}/ratings' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'

Sample Response

{
    "oldLimit": "TIER_10K",
    "currentLimit": "TIER_10K",
    "event": "ONBOARDING",
    "eventTime": 123455556,
    "phoneQuality": "GREEN"
}

or,

{  
    "message": "no event update available",  
    "status": "success"  
}

Response Codes

Status CodeResponseComments
Success
200{ "oldLimit": "TIER_10K", "currentLimit": "TIER_10K", "event": "ONBOARDING", "eventTime": 123455556, "phoneQuality": "GREEN" }If we have received an event for the WABA
200{ "message": "no event update available", "status": "success" }If the API request is successful, but we have not received an event for the WABA's capacity and message limit.
Error
429{ "status": "error", "message": "Too Many Requests" }10 Requests per Minute
500{ "status": "error", "message": "Internal server error. Please try again later and If Issue still persist than contact Gupshup Dev Support" }For any Internal Error
401{ "status": "error", "message": "Unauthorised access to the resource. Please review request parameters and headers and retry" }If invalid AppId/Token
Path Params
string
required
Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!